# Bernoulli
[Random Number Distributions]

Collaboration diagram for Bernoulli:

## Classes

- class std::bernoulli_distribution
    A Bernoulli random number distribution. More...
- class std::binomial_distribution< _IntType >
    A discrete binomial random number distribution. More...
- class std::geometric_distribution< _IntType >
    A discrete geometric random number distribution. More...
- class std::negative_binomial_distribution< _IntType >
    A negative_binomial_distribution random number distribution. More...

## Functions

- bool std::operator!= (const std::bernoulli_distribution &__d1, const std::bernoulli_distribution &__d2)
- template<typename _IntType > bool std::operator!= (const std::binomial_distribution< _IntType > &__d1, const std::binomial_distribution< _IntType > &__d2)
- template<typename _IntType > bool std::operator!= (const std::negative_binomial_distribution< _IntType > &__d1, const std::negative_binomial_distribution< _IntType > &__d2)
- template<typename _IntType > bool std::operator!= (const std::geometric_distribution< _IntType > &__d1, const std::geometric_distribution< _IntType > &__d2)
- template<typename _IntType , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::geometric_distribution< _IntType > &)
- template<typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::bernoulli_distribution &)
- bool std::operator== (const std::bernoulli_distribution &__d1, const std::bernoulli_distribution &__d2)
- template<typename _IntType > bool std::operator== (const std::geometric_distribution< _IntType > &__d1, const std::geometric_distribution< _IntType > &__d2)
- template<typename _IntType , typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &, std::geometric_distribution< _IntType > &)
- template<typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::bernoulli_distribution &__x)

## Function Documentation

bool std::operator!= | ( | const std::bernoulli_distribution & | __d1,
|  | const std::bernoulli_distribution & | __d2 |
| ) |  |  | `[inline]`

Return true if two Bernoulli distributions have different parameters.

Definition at line 3369 of file random.h.

template<typename _IntType >

bool std::operator!= | ( | const std::binomial_distribution< _IntType > & | __d1,
|  | const std::binomial_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two binomial distributions are different.

Definition at line 3606 of file random.h.

template<typename _IntType >

bool std::operator!= | ( | const std::negative_binomial_distribution< _IntType > & | __d1,
|  | const std::negative_binomial_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two negative binomial distributions are different.

Definition at line 3952 of file random.h.

template<typename _IntType >

bool std::operator!= | ( | const std::geometric_distribution< _IntType > & | __d1,
|  | const std::geometric_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two geometric distributions have different parameters.

Definition at line 3748 of file random.h.

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::geometric_distribution< _IntType > & | __x |
| ) |  |  |

Inserts a geometric_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A geometric_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 995 of file random.tcc.

References std::left(), and std::scientific().

template<typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::bernoulli_distribution & | __x |
| ) |  |  |

Inserts a bernoulli_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A bernoulli_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 945 of file random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

bool std::operator== | ( | const std::bernoulli_distribution & | __d1,
|  | const std::bernoulli_distribution & | __d2 |
| ) |  |  | `[inline]`

Return true if two Bernoulli distributions have the same parameters.

Definition at line 3360 of file random.h.

References std::bernoulli_distribution::param().

template<typename _IntType >

bool std::operator== | ( | const std::geometric_distribution< _IntType > & | __d1,
|  | const std::geometric_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two geometric distributions have the same parameters.

Definition at line 3738 of file random.h.

References std::geometric_distribution< _IntType >::param().

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::geometric_distribution< _IntType > & | __x |
| ) |  |  |

Extracts a geometric_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A geometric_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 1019 of file random.tcc.

References std::ios_base::flags(), std::geometric_distribution< _IntType >::param(), and std::skipws().

template<typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::bernoulli_distribution & | __x |
| ) |  |  |

Extracts a bernoulli_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A bernoulli_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 3399 of file random.h.

References std::bernoulli_distribution::param().